module gedo.gui.camera;



private import gedo.gui.component;
private import gedo.video.ggl;



public class Camera : Component
{
public:
	this(float w, float h, float r, float g, float b)
	{
		size[0] = w;
		size[1] = h;

		color[0] = r;
		color[1] = g;
		color[2] = b;
	}


	override void onDraw()
	{
		GGL_enableDepthBuffer(0);

		GGL_enableAlphaBlend(1);

		GGL_enter2DMode(size[0], size[1]);

		GGL_clearScreen(color[0], color[1], color[2]);
	}


private:
	float[3] color;
}
